 /**----------------------------------------------------
 * File:      ElementManagerStateListener.java
 * Package:   at.hoertler.svgeditor.event
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 * 
 * 
 */
package at.hoertler.svgeditor.event;

public interface ElementManagerStateListener {

  /**
   * Called when an ElementManager has relevant changes.
   *
   * @param e The ElementManagerStateEvent holds all relevant data if ElementManager is changed.
   */
  public void elementManagerStateChanged(ElementManagerStateEvent e);
}
