 /**----------------------------------------------------
 * File:      SVGArrow.java
 * Package:   at.hoertler.svgeditor.svg.elements
 * Project:   SVGEditor
 * ----------------------------------------------------
 * @author Philipp Hörtler BSc
 * @version 1.0.0
 * Date: 2013-03-24
 * ----------------------------------------------------
 * Description:
 * 
 * This interface must be implemented if an SVGElement uses arrows.
 */
package at.hoertler.svgeditor.svg.elements;

public interface SVGArrow {

    /**
   * @return the hasArrowAtFront
   */
  public abstract boolean hasArrowAtFront();

  /**
   * @param hasArrowAtFront the hasArrowAtFront to set
   */
  public abstract void setHasArrowAtFront(boolean hasArrowAtFront);

  /**
   * @return the hasArrowAtEnd
   */
  public abstract boolean hasArrowAtEnd();

  /**
   * @param hasArrowAtEnd the hasArrowAtEnd to set
   */
  public abstract void setHasArrowAtEnd(boolean hasArrowAtEnd);
}
